Index: src/UIElements/TextUI/Query/AtomTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/AtomTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/AtomTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -41,11 +41,11 @@
   do{
     badInput = false;
-    Log() << Verbose(0) << getTitle();
-    cin >> idxOfAtom;
-    if(cin.fail()){
+    std::cout << getDescription() << ": ";
+    std::cin >> idxOfAtom;
+    if(std::cin.fail()){
       badInput = true;
-      cin.clear();
-      cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-      Log() << Verbose(0) << "Input was not a number!" << endl;
+      std::cin.clear();
+      std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+      std::cout << "Input was not a number!" << std::endl;
       continue;
     }
@@ -53,10 +53,10 @@
     tmp = World::getInstance().getAtom(AtomById(idxOfAtom));
     if(!tmp && idxOfAtom!=-1){
-      Log() << Verbose(0) << "Invalid Atom Index" << idxOfAtom << endl;
+      std::cout << "Invalid Atom Index" << idxOfAtom << std::endl;
       badInput = true;
     }
 
   } while(badInput);
-  cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+  std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
   return (idxOfAtom!=-1);
 }
Index: src/UIElements/TextUI/Query/AtomsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/AtomsTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/AtomsTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -39,7 +39,7 @@
 bool TextDialog::AtomsTextQuery::handle() {
   int idxOfAtom=-1;
-  Log() << Verbose(0) << getTitle();
+  std::cout << getDescription() << ": ";
   std::string line;
-  getline(cin,line);
+  getline(std::cin,line);
   // dissect by " "
   std::string::iterator olditer = line.begin();
@@ -50,5 +50,5 @@
       temp = World::getInstance().getAtom(AtomById(idxOfAtom));
       if(!temp && idxOfAtom!=-1){
-        Log() << Verbose(0) << "Invalid Atom Index" << idxOfAtom << endl;
+        std::cout << "Invalid Atom Index" << idxOfAtom << std::endl;
         break;
       }
@@ -62,5 +62,5 @@
     temp = World::getInstance().getAtom(AtomById(idxOfAtom));
     if(!temp && idxOfAtom!=-1) {
-      Log() << Verbose(0) << "Invalid Atom Index" << idxOfAtom << endl;
+      std::cout << "Invalid Atom Index" << idxOfAtom << std::endl;
       tmp.push_back(temp);
     }
Index: src/UIElements/TextUI/Query/BooleanTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/BooleanTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/BooleanTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -39,6 +39,6 @@
   do{
     badInput = false;
-    Log() << Verbose(0) << getTitle();
-    cin >> input;
+    std::cout << getDescription() << "[y/n]: ";
+    std::cin >> input;
     if ((input == 'y' ) || (input == 'Y')) {
       tmp = true;
@@ -47,11 +47,11 @@
     } else {
       badInput=true;
-      cin.clear();
-      cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-      Log() << Verbose(0) << "Input was not of [yYnN]!" << endl;
+      std::cin.clear();
+      std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+      std::cout << "Input was not of [yYnN]!" << std::endl;
     }
   } while(badInput);
   // clear the input buffer of anything still in the line
-  cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+  std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
   return true;
 }
Index: src/UIElements/TextUI/Query/BoxTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/BoxTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/BoxTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -37,11 +37,12 @@
 
 bool TextDialog::BoxTextQuery::handle() {
-  Log() << Verbose(0) << getTitle();
+  std::cout << getTitle();
 
   double temp[6];
+  std::cout << getDescription() << " - ";
   std::string coords[6] = {"xx","yx","yy", "zx", "zy", "zz"};
   for (int i=0;i<6;i++) {
-    Log() << Verbose(0) << coords[i] << ": ";
-    cin >> temp[i];
+    std::cout << coords[i] << ": ";
+    std::cin >> temp[i];
   }
   Matrix M;
Index: src/UIElements/TextUI/Query/DoubleTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/DoubleTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/DoubleTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -38,14 +38,14 @@
   do{
     badInput = false;
-    Log() << Verbose(0) << getTitle();
-    cin >> tmp;
-    if(cin.fail()){
+    std::cout << getDescription() << ": ";
+    std::cin >> tmp;
+    if(std::cin.fail()){
       badInput = true;
-      cin.clear();
-      cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-      Log() << Verbose(0) << "Input was not a number!" << endl;
+      std::cin.clear();
+      std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+      std::cout << "Input was not a number!" << std::endl;
     }
   }while(badInput);
-  cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+  std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
   return true;
 }
Index: src/UIElements/TextUI/Query/DoublesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/DoublesTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/DoublesTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -35,7 +35,7 @@
 
 bool TextDialog::DoublesTextQuery::handle() {
-  Log() << Verbose(0) << getTitle();
+  std::cout << getDescription() << ": ";
   std::string line;
-  getline(cin,line);
+  getline(std::cin,line);
   // dissect by " "
   std::string::iterator olditer = line.begin();
Index: src/UIElements/TextUI/Query/ElementTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/ElementTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -44,10 +44,10 @@
   do{
     badInput = false;
-    Log() << Verbose(0) << getTitle();
+    std::cout << getDescription() << ": ";
 
     // try to read as Atomic number
     int Z;
-    cin >> Z;
-    if(!cin.fail()){
+    std::cin >> Z;
+    if(!std::cin.fail()){
       if(Z==-1){
         aborted = true;
@@ -56,5 +56,5 @@
         temp = World::getInstance().getPeriode()->FindElement(Z);
         if(!temp){
-          Log() << Verbose(0) << "No element with this atomic number!" << endl;
+          std::cout << "No element with this atomic number!" << std::endl;
           badInput = true;
         }
@@ -63,5 +63,5 @@
     }
     else{
-      cin.clear();
+      std::cin.clear();
     }
 
@@ -70,6 +70,6 @@
     // same thing again, this time as a std::string
     std::string shorthand;
-    cin >> shorthand;
-    if(!cin.fail()){
+    std::cin >> shorthand;
+    if(!std::cin.fail()){
       if(shorthand.empty()){
         aborted = true;
@@ -78,5 +78,5 @@
         temp = World::getInstance().getPeriode()->FindElement(shorthand.c_str());
         if(!temp){
-          Log() << Verbose(0) << "No element with this shorthand!" << endl;
+          std::cout << "No element with this shorthand!" << std::endl;
           badInput = true;
         }
@@ -84,12 +84,12 @@
     }
     else{
-      Log() << Verbose(0) << "Could not read input. Try Again." << endl;
-      cin.clear();
-      cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+      std::cout << "Could not read input. Try Again." << std::endl;
+      std::cin.clear();
+      std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
       badInput = true;
     }
 
   }while(badInput);
-  cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+  std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
   return !aborted;
 }
Index: src/UIElements/TextUI/Query/ElementsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/ElementsTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -45,7 +45,7 @@
   std::string shorthand;
   int Z=-1;
-  Log() << Verbose(0) << getTitle();
+  std::cout << getDescription() << ": ";
   std::string line;
-  getline(cin,line);
+  getline(std::cin,line);
   // dissect by " "
   std::string::iterator olditer = line.begin();
@@ -61,5 +61,5 @@
       };
       if(!temp && Z!=-1){
-        Log() << Verbose(0) << "Invalid Element" << shorthand << endl;
+        std::cout << "Invalid Element" << shorthand << std::endl;
         break;
       }
@@ -78,5 +78,5 @@
     };
     if(!temp && Z!=-1) {
-      Log() << Verbose(0) << "Invalid Element" << shorthand << endl;
+      std::cout << "Invalid Element" << shorthand << std::endl;
       tmp.push_back(temp);
     }
Index: src/UIElements/TextUI/Query/FileTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/FileTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/FileTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -42,5 +42,5 @@
   do{
     badInput = false;
-    std::cout << getTitle();
+    std::cout << getDescription() << ": ";
     std::cin >> tempstring;
     if(std::cin.fail()){
Index: src/UIElements/TextUI/Query/IntTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/IntTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/IntTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -38,15 +38,15 @@
   do{
     badInput = false;
-    Log() << Verbose(0) << getTitle();
-    cin >> tmp;
-    if(cin.fail()){
+    std::cout << getDescription() << ": ";
+    std::cin >> tmp;
+    if(std::cin.fail()){
       badInput=true;
-      cin.clear();
-      cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-      Log() << Verbose(0) << "Input was not a number!" << endl;
+      std::cin.clear();
+      std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+      std::cout << "Input was not a number!" << std::endl;
     }
   } while(badInput);
   // clear the input buffer of anything still in the line
-  cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+  std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
   return true;
 }
Index: src/UIElements/TextUI/Query/IntsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/IntsTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/IntsTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -35,7 +35,7 @@
 
 bool TextDialog::IntsTextQuery::handle() {
-  Log() << Verbose(0) << getTitle();
+  std::cout << getDescription() << ": ";
   std::string line;
-  getline(cin,line);
+  getline(std::cin,line);
   // dissect by " "
   std::string::iterator olditer = line.begin();
Index: src/UIElements/TextUI/Query/MoleculeTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/MoleculeTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/MoleculeTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -42,11 +42,11 @@
   do{
     badInput = false;
-    Log() << Verbose(0) << getTitle();
-    cin >> idxOfMol;
-    if(cin.fail()){
+    std::cout << getDescription() << ": ";
+    std::cin >> idxOfMol;
+    if(std::cin.fail()){
       badInput = true;
-      cin.clear();
-      cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
-      Log() << Verbose(0) << "Input was not a number!" << endl;
+      std::cin.clear();
+      std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+      std::cout << "Input was not a number!" << std::endl;
       continue;
     }
@@ -54,10 +54,10 @@
     tmp = World::getInstance().getMolecule(MoleculeById(idxOfMol));
     if(!tmp && idxOfMol!=-1){
-      Log() << Verbose(0) << "Invalid Molecule Index" << endl;
+      std::cout << "Invalid Molecule Index" << std::endl;
       badInput = true;
     }
 
   } while(badInput);
-  cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
+  std::cin.ignore(std::numeric_limits<streamsize>::max(),'\n');
   return (idxOfMol!=-1);
 }
Index: src/UIElements/TextUI/Query/MoleculesTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/MoleculesTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/MoleculesTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -39,7 +39,7 @@
 bool TextDialog::MoleculesTextQuery::handle() {
   int idxOfMol=-1;
-  Log() << Verbose(0) << getTitle();
+  std::cout << getDescription() << ": ";
   std::string line;
-  getline(cin,line);
+  getline(std::cin,line);
   // dissect by " "
   std::string::iterator olditer = line.begin();
@@ -50,5 +50,5 @@
       temp = World::getInstance().getMolecule(MoleculeById(idxOfMol));
       if(!temp && idxOfMol!=-1){
-        Log() << Verbose(0) << "Invalid Molecule Index" << idxOfMol << endl;
+        std::cout << "Invalid Molecule Index" << idxOfMol << std::endl;
         break;
       }
@@ -62,5 +62,5 @@
     temp = World::getInstance().getMolecule(MoleculeById(idxOfMol));
     if(!temp && idxOfMol!=-1){
-      Log() << Verbose(0) << "Invalid Molecule Index" << idxOfMol << endl;
+      std::cout << "Invalid Molecule Index" << idxOfMol << std::endl;
       tmp.push_back(temp);
     }
Index: src/UIElements/TextUI/Query/StringTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/StringTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/StringTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -35,6 +35,6 @@
 
 bool TextDialog::StringTextQuery::handle() {
-  Log() << Verbose(0) << getTitle();
-  getline(cin,tmp);
+  std::cout << getDescription() << ": ";
+  getline(std::cin,tmp);
   return true;
 }
Index: src/UIElements/TextUI/Query/StringsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/StringsTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/StringsTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -35,6 +35,6 @@
 
 bool TextDialog::StringsTextQuery::handle() {
-  Log() << Verbose(0) << getTitle();
-  getline(cin,temp);
+  std::cout << getDescription() << ": ";
+  getline(std::cin,temp);
   // dissect by " "
   std::string::iterator olditer = temp.begin();
Index: src/UIElements/TextUI/Query/VectorTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/VectorTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/VectorTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -39,5 +39,5 @@
 
 bool TextDialog::VectorTextQuery::handle() {
-  std::cout << getTitle();
+  std::cout << getDescription() << std::endl;
   const Matrix &M = World::getInstance().getDomain().getM();
   char coords[3] = {'x', 'y', 'z'};
@@ -46,5 +46,5 @@
 
   std::string line;
-  getline(cin,line);
+  getline(std::cin,line);
 
   // dissect by ","
Index: src/UIElements/TextUI/Query/VectorsTextQuery.cpp
===================================================================
--- src/UIElements/TextUI/Query/VectorsTextQuery.cpp	(revision 5eebbc78b9dba5f107dc6b3f23314d94c91f7469)
+++ src/UIElements/TextUI/Query/VectorsTextQuery.cpp	(revision d754bbb30af7537ab3706f0b5cec46f0acb27940)
@@ -39,5 +39,5 @@
 
 bool TextDialog::VectorsTextQuery::handle() {
-  std::cout << getTitle();
+  std::cout << getDescription() << std::endl;
   char coords[3] = {'x', 'y', 'z'};
   const Matrix &M = World::getInstance().getDomain().getM();
@@ -46,5 +46,5 @@
 
   std::string line;
-  getline(cin,line);
+  getline(std::cin,line);
 
   // dissect by ","
